# Glom::FoundSet Class Reference

A grouping of information about a view of a table, including what records are viewed (the where clause), how the are sorted (the sort clause). More...

List of all members.

## Public Types

typedef std::pair< sharedptr < const LayoutItem_Field > , bool > | type_pair_sort_field
| field, ascending
typedef std::list < type_pair_sort_field > | type_sort_clause

## Public Member Functions

| FoundSet ()
| FoundSet (const FoundSet& src)
FoundSet& | operator= (const FoundSet& src)
bool | operator== (const FoundSet& src) const
bool | has_no_criteria () const
| Whether this specifies any where clause or sort order.

## Public Attributes

Glib::ustring | m_table_name
Glib::ustring | m_extra_join
Glib::ustring | m_where_clause
Glib::ustring | m_extra_group_by
type_sort_clause | m_sort_clause

## Detailed Description

A grouping of information about a view of a table, including what records are viewed (the where clause), how the are sorted (the sort clause).

## Member Typedef Documentation

typedef std::pair< sharedptr<const LayoutItem_Field>, bool> Glom::FoundSet::type_pair_sort_field

field, ascending

typedef std::list<type_pair_sort_field> Glom::FoundSet::type_sort_clause

## Constructor & Destructor Documentation

Glom::FoundSet::FoundSet | ( |  | ) |

Glom::FoundSet::FoundSet | ( | const FoundSet& | src | ) |

## Member Function Documentation

bool Glom::FoundSet::has_no_criteria | ( |  | ) | const

Whether this specifies any where clause or sort order.

FoundSet& Glom::FoundSet::operator= | ( | const FoundSet& | src | ) |

bool Glom::FoundSet::operator== | ( | const FoundSet& | src | ) | const

## Member Data Documentation

Glib::ustring Glom::FoundSet::m_extra_group_by

Glib::ustring Glom::FoundSet::m_extra_join

type_sort_clause Glom::FoundSet::m_sort_clause

Glib::ustring Glom::FoundSet::m_table_name

Glib::ustring Glom::FoundSet::m_where_clause

The documentation for this class was generated from the following files:

- data_structure/foundset.h
- data_structure/foundset.cc